using System.ComponentModel.DataAnnotations;

namespace ZelWiki.Models.ViewModels.Page
{
    public class PageEditViewModel : ViewModelBase
    {
        public int Id { get; set; }

        [Required]
        [Display(Name="标题")]
        public string Name { get; set; } = string.Empty;
        public string Navigation { get; set; } = string.Empty;
        [Display(Name = "描述")]
        public string? Description { get; set; } = string.Empty;
        [Display(Name = "正文")]
        public string? Body { get; set; } = string.Empty;
    }
}
